Bug 161952 - [UPDATE] databases/pgadmin3: update to 1.14.0
Summary: [UPDATE] databases/pgadmin3: update to 1.14.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-24 04:40 UTC by R.Mahmatkhanov
Modified: 2015-10-14 19:29 UTC (History)
0 users

See Also:


Attachments
file.diff (9.88 KB, patch)
2011-10-24 04:40 UTC, R.Mahmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-10-24 04:40:00 UTC
- update to latest stable release (1.14.0)
- remove CONFLICTS (it's now conflicts with itself :)), because we have no
  another versions of pgadmin3 in the tree anymore
- update IGNORE_WITH_PGSQL - we doesn't have any of them < 82
- remove DEFAULT_PGSQL_VER. It's ok to use ports tree default (84), 
  because according to INSTALL file it now needs 8.4+ for building
- hold distfile in distfiles/postgresql
- remove WX_CONF_ARGS to avoid this warning:
  configure: WARNING: unrecognized options: --with-wx-config
- merge PostGIS patch from Rainer Hurling <rhurlin@gwdg.de> (ports/158599).
- make this an option WITH_POSTGIS (default off)

It would be fine to get this on 9.0R DVD :)

changelog (it's somewhat messy):
http://www.pgadmin.org/development/changelog.php

tinderbuild logs:
7.4: http://happy-nation.by.ru/ports/tb/7.4/pgadmin3-1.14.0.log
8.2: http://happy-nation.by.ru/ports/tb/8.2/pgadmin3-1.14.0.log

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-10-24 04:40:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2011-10-29 13:13:06 UTC
fjoe        2011-10-29 12:12:58 UTC

  FreeBSD ports repository

  Modified files:
    databases/pgadmin3   Makefile distinfo pkg-plist 
  Added files:
    databases/pgadmin3/files patch-pgadmin_plugins.ini 
  Log:
  - update to latest stable release (1.14.0)
  - remove CONFLICTS (it's now conflicts with itself :)), because we have no
  another versions of pgadmin3 in the tree anymore
  - update IGNORE_WITH_PGSQL - we doesn't have any of them < 82
  - remove DEFAULT_PGSQL_VER. It's ok to use ports tree default (84),
  because according to INSTALL file it now needs 8.4+ for building
  - hold distfile in distfiles/postgresql
  - remove WX_CONF_ARGS to avoid this warning:
  configure: WARNING: unrecognized options: --with-wx-config
  - add 'PostGIS Shapefile and DBF loader' menu item [2]
  
  PR:             161952
  Submitted by:   Ruslan Mahmatkhanov
  PR:             158599 [2]
  Submitted by:   Rainer Hurling
  
  Revision  Changes    Path
  1.53      +5 -7      ports/databases/pgadmin3/Makefile
  1.21      +2 -2      ports/databases/pgadmin3/distinfo
  1.1       +17 -0     ports/databases/pgadmin3/files/patch-pgadmin_plugins.ini (new)
  1.20      +41 -23    ports/databases/pgadmin3/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Max Khon freebsd_committer 2011-10-29 13:19:31 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 commit-hook freebsd_committer 2015-10-14 19:29:45 UTC
A commit references this bug:

Author: tota
Date: Wed Oct 14 19:29:05 UTC 2015
New revision: 399291
URL: https://svnweb.freebsd.org/changeset/ports/399291

Log:
  - Update to 1.9.14 [1]
  - Remove files/patch-install-index.php

  PR:		161952 [1]
  Submitted by:	Torsten Z?hlsdorff <ports@toco-domains.de> [1]

Changes:
  head/www/testlink/Makefile
  head/www/testlink/distinfo
  head/www/testlink/files/
  head/www/testlink/pkg-plist